BinaryArc
Keywords: yacs.solver.fdsolver.consistency.BinaryArc class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.solver.fdsolver.consistency
Class BinaryArc

    java.lang.Object
      yacs.solver.fdsolver.consistency.HyperArc
          yacs.solver.fdsolver.consistency.BinaryArc

public class BinaryArc
extends HyperArc

Hilfsklasse zur Beschreibung einer "Kante" für binäre Algorithmen zur Herstellung von Kantenkonsistenz. Eine Kante zwischen zwei Knoten entspricht einem binären Constraint, welches zwei Constraint-Variablen beschränkt.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`BinaryArc(java.lang.String startNode, java.lang.String endNode, Expression expr)` Konstruktor -- Benötigt den Start- und Endknoten der Kante sowie den Constraint-Ausdruck, der diese Kante beinhaltet.

Method Summary
`Domain` | `endDomain()` Liefert die Domäne des Endknotens.
`java.lang.String` | `endNode()` Liefert den Endknoten der Kanten.
`Domain` | `startDomain()` Liefert die Domäne des Startknotens.
`java.lang.String` | `startNode()` Liefert den Startknoten der Kante.
`java.lang.String` | `toString()` Liefert die Kante als String (für Debugging).

Methods inherited from class yacs.solver.fdsolver.consistency.HyperArc
`expression, getDomain, getNodes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryArc

    public BinaryArc(java.lang.String startNode,
                     java.lang.String endNode,
                     Expression expr)

  Konstruktor -- Benötigt den Start- und Endknoten der Kante sowie den Constraint-Ausdruck, der diese Kante beinhaltet.

Method Detail

### startNode

    public java.lang.String startNode()

  Liefert den Startknoten der Kante.

  Returns:
    String

### startDomain

    public Domain startDomain()

  Liefert die Domäne des Startknotens.

  Returns:
    Domain

### endNode

    public java.lang.String endNode()

  Liefert den Endknoten der Kanten.

  Returns:
    String

### endDomain

    public Domain endDomain()

  Liefert die Domäne des Endknotens.

  Returns:
    Domain

### toString

    public java.lang.String toString()

  Liefert die Kante als String (für Debugging).

  Overrides:
    `toString` in class `HyperArc`
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD